qtwebchannel-opensource-src (5.15.12-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:19:47 +0000

qtwebchannel-opensource-src (5.15.12-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:55:49 +0000

qtwebchannel-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 19:16:14 +0300

qtwebchannel-opensource-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 10:21:42 +0300

qtwebchannel-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Jun 2023 00:12:41 +0300

qtwebchannel-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Apr 2023 23:33:39 +0300

qtwebchannel-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:20 +0400

qtwebchannel-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 12:45:06 +0400

qtwebchannel-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:42 +0300

qtwebchannel-opensource-src (5.15.7-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:38:53 +0300

qtwebchannel-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:49 +0300

qtwebchannel-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Sep 2022 21:32:21 +0300

qtwebchannel-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.
    - Fixes build with LTO enabled (closes: #1015647).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jul 2022 23:48:14 +0300

qtwebchannel-opensource-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:37:03 +0300

qtwebchannel-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 11:10:04 +0300

qtwebchannel-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 19:31:33 +0300

qtwebchannel-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:33 +0300

qtwebchannel-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Nov 2020 14:43:21 +0300

qtwebchannel-opensource-src (5.15.1-2) unstable; urgency=medium

  * Update debian/libqt5webchannel5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:21 +0300

qtwebchannel-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt dependencies.
  * Update to debhelper compat level 13.
    - Do not override dh_missing, the option --fail-missing is now the default
      one.
    - Use the new substitution variables from debhelper 13 in install files.
  * Add Rules-Requires-Root: no to debian/control.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 11 Sep 2020 13:05:59 -0300

qtwebchannel-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 13:03:26 +0300

qtwebchannel-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Update debian/libqt5webchannel5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Apr 2020 13:51:45 +0300

qtwebchannel-opensource-src (5.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Update to debhelper compat level 12, use the new syntax.
  * Update debian/libqt5webchannel5.symbols from the current build log.
  * Reproducible builds: remove build path from the prl file.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Feb 2020 22:40:38 +0300

qtwebchannel-opensource-src (5.12.5-2) unstable; urgency=medium

  * Add Build-Depends-Package field to debian/libqt5webchannel5.symbols.
  * Use debian/clean instead of overriding dh_clean in debian/rules.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 10:47:39 +0300

qtwebchannel-opensource-src (5.12.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Remove the chatclient-html example using a patch (see #934124).
  * Build-depend on qtbase and qtwebsockets documentation for linking docs.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Sep 2019 11:49:21 +0300

qtwebchannel-opensource-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Further improve the doc-base file.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.4.
  * Make the .install files more verbose.
  * Simplify debian/rules by using a debian/not-installed file.
  * Rename README.Debian to qtwebchannel5-examples.README.Debian to make
    it installed automatically by dh_installdocs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 21 Jun 2019 12:50:24 +0300

qtwebchannel-opensource-src (5.12.3-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update my name/email.
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 22 Apr 2019 21:49:47 +0300

qtwebchannel-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on just qtdeclarative5-dev, not -private-dev.
  * Bump Qt build-dependencies to 5.12.2.
  * Add Qt_5.12 version tag to debian/libqt5webchannel5.symbols.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 13:04:38 +0300

qtwebchannel-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:28:33 -0300

qtwebchannel-opensource-src (5.11.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 15:06:21 -0300

qtwebchannel-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 17:39:03 +0300

qtwebchannel-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.11.2.
  * Update debian/copyright.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Sep 2018 11:42:53 +0300

qtwebchannel-opensource-src (5.11.1-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:33 -0500

qtwebchannel-opensource-src (5.11.1-2) experimental; urgency=medium

  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Jun 2018 20:23:23 -0500

qtwebchannel-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies to 5.11.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 18:58:31 -0500

qtwebchannel-opensource-src (5.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Bump build dependencies to 5.11.0.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 18 Jun 2018 22:09:08 -0400

qtwebchannel-opensource-src (5.10.1-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 19:58:26 -0300

qtwebchannel-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new upstream tarballs naming scheme.
  * Bump Qt build-dependencies to 5.10.1.
  * Use dh_auto_configure provided by debhelper (closes: #884383).
  * Update packages descriptions to reflect that Qt WebEngine is no
    longer experimental.
  * Add support for the nodoc build profile.
  * Update Vcs fields for migration to salsa.debian.org.
  * Add Qt_5.10 version tag to debian/libqt5webchannel5.symbols.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 21 Feb 2018 01:40:31 +0300

qtwebchannel-opensource-src (5.9.2-3) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make qtwebchannel5-examples recommends nodejs instead of directly
    depending on it. Not all examples need nodejs.
    - Add README.Debian explaining the issue.
    - Expand the package description to warn the user to read README.Debian
      before running the examples.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 27 Nov 2017 16:44:59 -0300

qtwebchannel-opensource-src (5.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:51:22 +0300

qtwebchannel-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use dh_missing instead of deprecated dh_install --fail-missing.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Drop nodetonodejs.diff, no longer needed (see #862051).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Oct 2017 21:33:19 +0300

qtwebchannel-opensource-src (5.9.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 15:14:04 -0300

qtwebchannel-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.1.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jul 2017 23:16:56 +0300

qtwebchannel-opensource-src (5.9.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.

  [ Dmitry Shachnev ]
  * Update debian/copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 11 Jun 2017 15:44:38 -0500

qtwebchannel-opensource-src (5.7.1-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.
  * Do not depend upon npm (Closes: #857994). It is used just by some examples
    and currently not on all archs, so while removing it is not the ideal
    solution is the only one we have available right now.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 04 Apr 2017 14:33:24 -0300

qtwebchannel-opensource-src (5.7.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release.
  * Re mark 5.7.1~* symbols to 5.7.1.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Dec 2016 12:49:43 +0100

qtwebchannel-opensource-src (5.7.1~20161021-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Fix "qtwebchannel5-examples/armel unsatisfiable Depends: nodejs"
      - mark mpm and nodejs to be [!armel]
      - Closes: #846167

 -- Sandro Knauß <hefee@debian.org>  Sat, 03 Dec 2016 12:22:33 +0100

qtwebchannel-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 01 Nov 2016 14:46:30 +0100

qtwebchannel-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream version.
  * Bump to compat 10 (default is now --parallel), so removed from rules
    file.
  * Update copyright to new release
  * Update build-deps. Tighten to Qt5.7.1.
  * Update patches (only hunk updates needed).
  * Update symbol files.
  * Remove also directory that holds private headers.
  * Run tests not parallel, this triggers often strange bugs.
  * Update my mailaddress to hefee@debian.org one.
  * Added Multi-Arch hinters for arch=all packages.

 -- Sandro Knauß <hefee@debian.org>  Sun, 30 Oct 2016 19:12:58 +0100

qtwebchannel-opensource-src (5.6.1-1) unstable; urgency=medium

  * Initial package (Closes: #832421)

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 27 Aug 2016 19:15:33 +0200
